News: Upgrade to Version 2.2

What's New

Framework has been upgraded to version 2.2, whose main goal was to make STDERR MVC API and STDOUT MVC API structures align logically.

Another goal was to replace require_once calls with require whenever possible. This is done already in your vendor folder and requires no change on your side, unless you want to update project files as well. If so:

Another goal was to make it possible for STDOUT Controllers/Listeners/ViewResolvers to be namespaced and subfoldered (within respective default folder), which will be possible via:

<listener class="SUBFOLDER/NAMESPACE\CLASSNAME"> <route ... controller="SUBFOLDER/NAMESPACE\CLASSNAME"> <format ... class="SUBFOLDER/NAMESPACE\CLASSNAME">

How To Upgrade

Following changes need to be done on your site to make the upgrade:

Upgrade requires no further changes, unless you also want to fully update your project code to become 100% Lucinda 2.2:


Share